import { __assign } from './../external/tslib/tslib.es6.js';
import React, { useState } from 'react';
import { Button } from '@highlight-ui/button';
import { ColorPicker } from '@highlight-ui/color-picker';
import { TextInput } from '@highlight-ui/input';
import styles from './AddOptionsFooter.module.scss.js';

var deriveFooterButtonState = function (inputValue, loading) {
  if (inputValue.length === 0) return 'disabled';
  if (loading) return 'loading';
  return 'enabled';
};

function AddOptionsFooter(_a) {
  var createButtonProps = _a.createButtonProps,
      inputProps = _a.inputProps,
      onCreate = _a.onCreate,
      colorPickerOptions = _a.colorPickerOptions;

  var _b = useState(''),
      inputValue = _b[0],
      setInputValue = _b[1];

  var _c = useState(colorPickerOptions === null || colorPickerOptions === void 0 ? void 0 : colorPickerOptions.initialColor),
      color = _c[0],
      setColor = _c[1];

  var onAddHandler = function () {
    onCreate(__assign({
      value: inputValue || ''
    }, color ? {
      color: color
    } : {}));
  };

  var onInputChange = function (event) {
    setInputValue(event.target.value);
  };

  return /*#__PURE__*/React.createElement("footer", {
    className: styles.creatableFooterContainer
  }, /*#__PURE__*/React.createElement(TextInput, {
    placeholder: inputProps === null || inputProps === void 0 ? void 0 : inputProps.placeholder,
    className: styles.inputWrapper,
    onKeyPress: function (e) {
      if (e.key.toLowerCase() === 'enter' && inputValue) onAddHandler();
    },
    metadata: inputProps === null || inputProps === void 0 ? void 0 : inputProps.metadata,
    onChange: onInputChange
  }), colorPickerOptions && /*#__PURE__*/React.createElement("div", {
    className: styles.colorPicker
  }, /*#__PURE__*/React.createElement(ColorPicker, {
    closeOnSelect: true,
    initialColor: color,
    metadata: colorPickerOptions.metadata,
    onChange: setColor,
    palette: colorPickerOptions.palette,
    title: colorPickerOptions.title
  })), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: onAddHandler,
    buttonState: deriveFooterButtonState(inputValue, createButtonProps.loading)
  }, createButtonProps.label));
}

export { AddOptionsFooter as default };
//# sourceMappingURL=AddOptionsFooter.js.map
