import React from 'react';
import classnames from 'classnames';
import { Typography } from '@highlight-ui/typography';
import { Avatar } from '@highlight-ui/avatar';
import TextWithHighlight from './TextWithHighlight.js';
import styles from './AvatarOptionLabel.module.scss.js';

function AvatarOptionLabel(_a) {
  var _b, _c;

  var option = _a.option,
      highlightedText = _a.highlightedText,
      selected = _a.selected,
      disabled = _a.disabled;
  return /*#__PURE__*/React.createElement("div", {
    className: styles.wrapper
  }, /*#__PURE__*/React.createElement(Avatar, {
    src: option.avatar,
    name: option.label,
    containerClassname: classnames(styles.avatar, (_b = {}, _b[styles.disabledAvatar] = option.disabled, _b))
  }), /*#__PURE__*/React.createElement("div", {
    className: styles.labelsWrapper
  }, /*#__PURE__*/React.createElement("span", {
    className: styles.label
  }, /*#__PURE__*/React.createElement(TextWithHighlight, {
    highlightedText: highlightedText,
    text: option.label,
    selected: selected,
    disabled: disabled
  })), /*#__PURE__*/React.createElement(Typography, {
    className: classnames(styles.subLabel, (_c = {}, _c[styles.disabled] = option.disabled, _c)),
    component: "span",
    variant: "body-1",
    title: option.subLabel
  }, option.subLabel)));
}

export { AvatarOptionLabel as default };
//# sourceMappingURL=AvatarOptionLabel.js.map
