import React from 'react';
import { Icon } from '@highlight-ui/icon';
import styles from './ColoredOptionLabel.module.scss.js';
import TextWithHighlight from './TextWithHighlight.js';

function ColoredOptionLabel(_a) {
  var option = _a.option,
      highlightedText = _a.highlightedText,
      selected = _a.selected,
      disabled = _a.disabled;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("span", {
    className: styles.colorIcon,
    style: {
      color: !option.disabled ? option.color : undefined
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "circle",
    type: "solid",
    size: 12
  })), /*#__PURE__*/React.createElement(TextWithHighlight, {
    highlightedText: highlightedText,
    text: option.label,
    selected: selected,
    disabled: disabled
  }));
}

export { ColoredOptionLabel as default };
//# sourceMappingURL=ColoredOptionLabel.js.map
