import { __assign } from './../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { Icon } from '@highlight-ui/icon';
import styles from './DefaultTrigger.module.scss.js';
import SelectClearButton from './SelectClearButton.js';

function DefaultTrigger(_a) {
  var _b;

  var disabled = _a.disabled,
      variant = _a.variant,
      label = _a.label,
      multiple = _a.multiple,
      onClick = _a.onClick,
      selectedOptions = _a.selectedOptions,
      visible = _a.visible,
      _c = _a.outline,
      outline = _c === void 0 ? 'default' : _c,
      _d = _a.autoFocus,
      autoFocus = _d === void 0 ? false : _d,
      triggerId = _a.triggerId,
      onClear = _a.onClear,
      ref = _a.ref;
  var hasSelectedOption = selectedOptions.length > 0;

  var renderSingleSelectionLabel = function () {
    var firstItem = selectedOptions[0];
    return hasSelectedOption ? firstItem.label : label;
  };

  var renderMultiSelectionLabel = function () {
    return hasSelectedOption ? label + " \u00B7 " + selectedOptions.length : label;
  };

  var isFullWidth = variant === 'full-width';
  return /*#__PURE__*/React.createElement("button", __assign({
    ref: ref,
    className: classnames(styles.selectTrigger, styles["outline-" + outline], (_b = {}, _b[styles.fullWidth] = isFullWidth, _b[styles.selected] = hasSelectedOption, _b[styles.disabled] = disabled, _b)),
    type: "button",
    disabled: disabled,
    onClick: onClick,
    // eslint-disable-next-line jsx-a11y/no-autofocus
    autoFocus: autoFocus
  }, triggerId ? {
    id: triggerId
  } : {}), /*#__PURE__*/React.createElement("span", {
    className: styles.innerText
  }, multiple ? renderMultiSelectionLabel() : renderSingleSelectionLabel()), onClear && selectedOptions.length > 0 ? /*#__PURE__*/React.createElement(SelectClearButton, {
    onClick: onClear,
    disabled: disabled
  }) : null, /*#__PURE__*/React.createElement(Icon, {
    className: styles.icon,
    name: visible ? 'angle-up' : 'angle-down',
    type: "solid",
    color: "icon-default"
  }));
}

export { DefaultTrigger as default };
//# sourceMappingURL=DefaultTrigger.js.map
