import React from 'react';
import classnames from 'classnames';
import { Typography } from '@highlight-ui/typography';
import TextWithHighlight from './TextWithHighlight.js';
import styles from './MultiLineOptionLabel.module.scss.js';

function MultiLineOptionLabel(_a) {
  var _b;

  var option = _a.option,
      highlightedText = _a.highlightedText,
      selected = _a.selected,
      disabled = _a.disabled;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("span", {
    className: styles.label
  }, /*#__PURE__*/React.createElement(TextWithHighlight, {
    highlightedText: highlightedText,
    text: option.label,
    selected: selected,
    disabled: disabled
  })), /*#__PURE__*/React.createElement(Typography, {
    className: classnames(styles.subLabel, (_b = {}, _b[styles.disabled] = option.disabled, _b)),
    component: "span",
    variant: "body-1",
    title: option.subLabel
  }, option.subLabel));
}

export { MultiLineOptionLabel as default };
//# sourceMappingURL=MultiLineOptionLabel.js.map
