import { __assign } from './../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import noop from 'lodash/fp/noop';
import { parseMetadata } from '@highlight-ui/utils-commons';
import { Icon } from '@highlight-ui/icon';
import { Checkbox } from '@highlight-ui/checkbox';
import styles from './Option.module.scss.js';
import SingleLineOptionLabel from './SingleLineOptionLabel.js';
import MultiLineOptionLabel from './MultiLineOptionLabel.js';
import ColoredOptionLabel from './ColoredOptionLabel.js';
import AvatarOptionLabel from './AvatarOptionLabel.js';
var optionLabelComponents = {
  'single-line': SingleLineOptionLabel,
  'multi-line': MultiLineOptionLabel,
  colored: ColoredOptionLabel,
  avatar: AvatarOptionLabel
};

function Option(_a) {
  var _b, _c, _d;

  var disabled = _a.disabled,
      highlightedText = _a.highlightedText,
      onSelect = _a.onSelect,
      option = _a.option,
      optionStyle = _a.optionStyle,
      optionType = _a.optionType,
      selected = _a.selected,
      className = _a.className;
  return /*#__PURE__*/React.createElement("li", __assign({
    "aria-selected": selected,
    className: classnames(styles.option, className, (_b = {}, _b[styles.selectedText] = selected && optionStyle === 'checkmark', _b[styles.multiLineOption] = optionType === 'multi-line', _b[styles.disabled] = disabled, _b)),
    onClick: !disabled ? onSelect : noop,
    onKeyDown: !disabled ? onSelect : noop,
    role: "option",
    title: option.label,
    tabIndex: -1
  }, parseMetadata(option.metadata)), optionStyle === 'checkbox' ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Checkbox, {
    className: classnames(styles.optionCheckbox, (_c = {}, _c[styles.multiLineCheckbox] = optionType === 'multi-line', _c)),
    checked: selected,
    readOnly: true,
    disabled: disabled
  }), /*#__PURE__*/React.createElement("div", {
    className: styles.labelWrapper
  }, /*#__PURE__*/React.createElement(optionLabelComponents[optionType], {
    option: option,
    highlightedText: highlightedText,
    selected: false,
    disabled: disabled
  }))) : /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Icon, {
    className: classnames(styles.optionIcon, (_d = {}, _d[styles.multiLineIcon] = optionType === 'multi-line', _d)),
    name: "check",
    size: 14,
    type: "solid"
  }), /*#__PURE__*/React.createElement("div", {
    className: styles.labelWrapper
  }, /*#__PURE__*/React.createElement(optionLabelComponents[optionType], {
    option: option,
    highlightedText: highlightedText,
    selected: selected,
    disabled: disabled
  }))));
}

export { Option as default };
//# sourceMappingURL=Option.js.map
