import React, { useState } from 'react';
import uniqueId from 'lodash/uniqueId';
import { Icon } from '@highlight-ui/icon';
import styles from './SearchInput.module.scss.js';

var SearchInputWithRef = function (_a, ref) {
  var _b = _a.placeholder,
      placeholder = _b === void 0 ? '' : _b,
      value = _a.value,
      onTextChange = _a.onTextChange;
  var id = useState(function () {
    return uniqueId('component-');
  })[0];

  var handleChange = function (event) {
    return onTextChange(event.currentTarget.value);
  };

  return /*#__PURE__*/React.createElement("div", {
    className: styles.wrapper,
    role: "search"
  }, /*#__PURE__*/React.createElement("label", {
    htmlFor: id
  }, /*#__PURE__*/React.createElement(Icon, {
    className: styles.icon,
    color: "icon-subdued",
    name: "search",
    size: 12
  }), /*#__PURE__*/React.createElement("input", {
    defaultValue: value,
    id: id,
    onChange: handleChange,
    placeholder: placeholder,
    ref: ref,
    type: "search"
  })));
};

SearchInputWithRef.displayName = 'SearchInput';
var SearchInput = /*#__PURE__*/React.forwardRef(SearchInputWithRef);
export { SearchInput as default };
//# sourceMappingURL=SearchInput.js.map
