import React from 'react';
import { Typography } from '@highlight-ui/typography';
import classnames from 'classnames';
import { searchSubstring } from './utils.js';
import styles from './TextWithHighlight.module.scss.js';

var TextWithHighlight = function (_a) {
  var _b;

  var highlightedText = _a.highlightedText,
      text = _a.text,
      _c = _a.selected,
      selected = _c === void 0 ? false : _c,
      _d = _a.disabled,
      disabled = _d === void 0 ? false : _d;
  var startIndex = searchSubstring(text, highlightedText);
  if (startIndex === -1) return /*#__PURE__*/React.createElement(React.Fragment, null, text);
  var endIndex = startIndex + highlightedText.length;
  return /*#__PURE__*/React.createElement(Typography, {
    component: "span",
    variant: "body-1",
    color: disabled ? 'text-disabled' : 'text-default',
    className: classnames((_b = {}, _b[styles.selected] = selected, _b))
  }, text.substring(0, startIndex), /*#__PURE__*/React.createElement("b", null, text.substring(startIndex, endIndex)), text.substring(endIndex));
};

export { TextWithHighlight as default };
//# sourceMappingURL=TextWithHighlight.js.map
