import { __spreadArray } from './../external/tslib/tslib.es6.js';

function getSelectedValues(_a) {
  var multiple = _a.multiple,
      option = _a.option,
      selectedOptions = _a.selectedOptions,
      selectedOptionsWithValuesOnly = _a.selectedOptionsWithValuesOnly;

  if (!multiple) {
    return [option];
  }

  if (selectedOptionsWithValuesOnly.includes(option.value)) {
    return selectedOptions.filter(function (selectedOption) {
      return selectedOption.value !== option.value;
    });
  }

  return __spreadArray(__spreadArray([], selectedOptions, true), [option], false);
}
/**
 * Returns options that are pre-selected and disabled.
 * @param allOptions
 * @param preSelectedOptions
 */


function getFixedOptions(allOptions, preSelectedOptions) {
  var allDisabled = allOptions.filter(function (option) {
    return option.disabled;
  });
  return allDisabled.filter(function (disabledOption) {
    return preSelectedOptions.some(function (option) {
      return option.value === disabledOption.value;
    });
  });
}
/**
 * Returns a list of option that are fixed and are enabled
 * @param options
 * @param preSelectedOptions
 */


function getAllSelectableOptions(options, preSelectedOptions) {
  var allFixed = getFixedOptions(options, preSelectedOptions);
  var allEnabled = options.filter(function (option) {
    return !option.disabled;
  });
  return __spreadArray(__spreadArray([], allFixed, true), allEnabled, true);
}

export { getAllSelectableOptions, getFixedOptions, getSelectedValues };
//# sourceMappingURL=helpers.js.map
